#include <iostream>
using namespace std;
int main()
{
    long long chisla,skok,broi_skok,sum=1,pos=1;
    cin>>chisla>>skok>>broi_skok;
    for (int i=0; i<broi_skok; i++)
    {
        if (pos+skok>chisla)
        {
            pos = (pos+skok) - chisla;
        }
        else
        {
            pos+=skok;
        }

        sum+=pos;




    }
    cout<<sum<<endl;
    return 0;
}
